### Hierarchy

- File

## Index

### Constructors

- constructor

### Accessors

- AppProperties
- ContentTypes
- CoreProperties
- Document
- DocumentRelationships
- FileRelationships
- FootNotes
- Footer
- Footers
- Header
- Headers
- Media
- Numbering
- Styles

### Methods

- FooterByRefNumber
- HeaderByRefNumber
- addImage
- addParagraph
- addSection
- addTable
- createBookmark
- createFirstPageHeader
- createFooter
- createFootnote
- createHeader
- createHyperlink
- createImage
- createInternalHyperLink
- createParagraph
- createTable

## Constructors

### constructor

- new File(options?: IPropertiesOptions, sectionPropertiesOptions?: SectionPropertiesOptions): File

- - Defined in file/file.ts:33

  #### Parameters

  - ##### Optional options: IPropertiesOptions

  - ##### Optional sectionPropertiesOptions: SectionPropertiesOptions

  #### Returns File

## Accessors

### AppProperties

- get AppProperties(): AppProperties

- - Defined in file/file.ts:273

  #### Returns AppProperties

### ContentTypes

- get ContentTypes(): ContentTypes

- - Defined in file/file.ts:269

  #### Returns ContentTypes

### CoreProperties

- get CoreProperties(): CoreProperties

- - Defined in file/file.ts:217

  #### Returns CoreProperties

### Document

- get Document(): Document

- - Defined in file/file.ts:209

  #### Returns Document

### DocumentRelationships

- get DocumentRelationships(): Relationships

- - Defined in file/file.ts:229

  #### Returns Relationships

### FileRelationships

- get FileRelationships(): Relationships

- - Defined in file/file.ts:233

  #### Returns Relationships

### FootNotes

- get FootNotes(): FootNotes

- - Defined in file/file.ts:277

  #### Returns FootNotes

### Footer

- get Footer(): FooterWrapper

- - Defined in file/file.ts:253

  #### Returns FooterWrapper

### Footers

- get Footers(): FooterWrapper[]

- - Defined in file/file.ts:257

  #### Returns FooterWrapper[]

### Header

- get Header(): HeaderWrapper

- - Defined in file/file.ts:237

  #### Returns HeaderWrapper

### Headers

- get Headers(): HeaderWrapper[]

- - Defined in file/file.ts:241

  #### Returns HeaderWrapper[]

### Media

- get Media(): Media

- - Defined in file/file.ts:225

  #### Returns Media

### Numbering

- get Numbering(): Numbering

- - Defined in file/file.ts:221

  #### Returns Numbering

### Styles

- get Styles(): Styles

- - Defined in file/file.ts:213

  #### Returns Styles

## Methods

### FooterByRefNumber

- FooterByRefNumber(refId: number): FooterWrapper

- - Defined in file/file.ts:261

  #### Parameters

  - ##### refId: number

  #### Returns FooterWrapper

### HeaderByRefNumber

- HeaderByRefNumber(refId: number): HeaderWrapper

- - Defined in file/file.ts:245

  #### Parameters

  - ##### refId: number

  #### Returns HeaderWrapper

### addImage

- addImage(image: Image): File

- - Defined in file/file.ts:126

  #### Parameters

  - ##### image: Image

  #### Returns File

### addParagraph

- addParagraph(paragraph: Paragraph): void

- - Defined in file/file.ts:110

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns void

### addSection

- addSection(sectionPropertiesOptions: SectionPropertiesOptions): void

- - Defined in file/file.ts:164

  #### Parameters

  - ##### sectionPropertiesOptions: SectionPropertiesOptions

  #### Returns void

### addTable

- addTable(table: Table): void

- - Defined in file/file.ts:118

  #### Parameters

  - ##### table: Table

  #### Returns void

### createBookmark

- createBookmark(name: string, text?: undefined | string): Bookmark

- - Defined in file/file.ts:158

  #### Parameters

  - ##### name: string

  - ##### Optional text: undefined | string

  #### Returns Bookmark

### createFirstPageHeader

- createFirstPageHeader(): HeaderWrapper

- - Defined in file/file.ts:196

  #### Returns HeaderWrapper

### createFooter

- createFooter(): FooterWrapper

- - Defined in file/file.ts:184

  #### Returns FooterWrapper

### createFootnote

- createFootnote(paragraph: Paragraph): void

- - Defined in file/file.ts:168

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns void

### createHeader

- createHeader(): HeaderWrapper

- - Defined in file/file.ts:172

  #### Returns HeaderWrapper

### createHyperlink

- createHyperlink(link: string, text?: undefined | string): Hyperlink

- - Defined in file/file.ts:138

  #### Parameters

  - ##### link: string

  - ##### Optional text: undefined | string

  #### Returns Hyperlink

### createImage

- createImage(buffer: Buffer | string | Uint8Array | ArrayBuffer, width?: undefined | number, height?: undefined | number): Image

- - Defined in file/file.ts:131

  #### Parameters

  - ##### buffer: Buffer | string | Uint8Array | ArrayBuffer

  - ##### Optional width: undefined | number

  - ##### Optional height: undefined | number

  #### Returns Image

### createInternalHyperLink

- createInternalHyperLink(anchor: string, text?: undefined | string): Hyperlink

- - Defined in file/file.ts:150

  #### Parameters

  - ##### anchor: string

  - ##### Optional text: undefined | string

  #### Returns Hyperlink

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/file.ts:114

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### createTable

- createTable(rows: number, cols: number): Table

- - Defined in file/file.ts:122

  #### Parameters

  - ##### rows: number

  - ##### cols: number

  #### Returns Table

Generated using TypeDoc